SDL_mixer: Use SDL_VERSION_ATLEAST macro

From 54b6f35883e5ab4af137a0d6395e88db8b08aaab Mon Sep 17 00:00:00 2001
From: Anonymous Maarten <[EMAIL REDACTED]>
Date: Wed, 15 May 2024 22:32:42 +0200
Subject: [PATCH] Use SDL_VERSION_ATLEAST macro

---
 src/music.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/music.c b/src/music.c
index c45cd30e..90a82e3d 100644
--- a/src/music.c
+++ b/src/music.c
@@ -46,8 +46,8 @@
 #include "utils.h"
 
 /* Check to make sure we are building with a new enough SDL */
-#if SDL_COMPILEDVERSION < SDL_VERSIONNUM(2, 0, 7)
-#error You need SDL 2.0.7 or newer from http://www.libsdl.org
+#if !SDL_VERSION_ATLEAST(3, 0, 0)
+#error You need SDL 3.0.0 or newer from http://www.libsdl.org
 #endif
 
 /* Set this hint to true if you want verbose logging of music interfaces */